%define upstream_name    SQL-ReservedWords
%define upstream_version 0.8

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Reserved SQL words by PostgreSQL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Determine if words are reserved by ANSI/ISO SQL standard.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/sqlrw
/usr/share/man/man1/sqlrw.1.xz

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.800.0-10.mga8
+ Revision: 1497201
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.800.0-9.mga7
+ Revision: 1271218
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.800.0-8.mga6
+ Revision: 1033332
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.800.0-7.mga6
+ Revision: 949080
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.800.0-6.mga5
+ Revision: 788954
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.800.0-5.mga5
+ Revision: 749788
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.800.0-4.mga5
+ Revision: 686145
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.800.0-3.mga4
+ Revision: 514473
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.800.0-2.mga3
+ Revision: 372438
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.800.0-1.mga3
+ Revision: 295049
- update to 0.8

* Wed Jun 22 2011 jquelin <jquelin> 0.700.0-1.mga2
+ Revision: 112170
- imported package perl-SQL-ReservedWords


* Wed Jun 22 2011 cpan2dist 0.7-1mga
- initial mageia release, generated with cpan2dist
